 
 <?php 
  /* require_once("head2Alt.php");
   if(isset($_POST['post']))

  {

     if( isset($_POST['hiD']) && isset($_POST['ownID']) && isset($_POST['emID']))
     {

        $hnm=$_POST['hiD'];
        $ownID=$_POST['ownID'];
        $accountId= $_POST['emID'];
         require_once("buda_connect.php");
         $con = new connect_class();
         $HD=$con->getMyOperationHotel($ownID,$hnm);
    
         $wE=$con->getHotelWorkersForEdit($accountId,$hnm);

        if($HD->rowCount()>0)
        {
          $ro=$HD->fetch();
        }
      
    }


}

if($wE->rowCount()>0)
  {
    $nn=$wE->fetch();
*/
?> 
<center>
  <div>
  <sup>
    <?php 
      echo  $con->eJobtitle($jobtitle)."<p/>" ;
      echo  $con->eSalary($salary)
     ?>
  </sup>
</div>
</center>

<center> 
 
  <!--NEW USER REGISTRATION FORM, DISPLAYED BY DEFAULTS IN PAGE LOAD-->


<fieldset id="emp_edit_user_reg_form">
<label id="reg_form_tile_label">Edit employee detail below:- </label></p/>
<i>Please edit employee's jobtile and salary below:-</i>
<form name="new_user_registration" id="new_user_registration" action="editEmployeeDetailFormPro.php"  method="post">

<table border="0" id="reg_form_table">
<!--<tr>                      <!--CARRY HOTEL ID AND ROOM ID--

     
     



                                                                <!---USERS PASSWORD-->
<!--CARRY HOTEL ID AND ROOM ID-->

        <input class="hi" type="hidden" name="owniD"  value="<?php echo $ownID;?>">

        <input class="hi" type="hidden" name="shopid"  value="<?php echo $shopid;?>">

        <input class="hi" type="hidden" name="accountId"  value="<?php echo $accountId;?>">

        

                                                      <!--USERS NAME-->

 
<tr><td colspan="2" height="40px" valign="top"><label id="mini_label">Employee job's title:<sup>*</sup></label><br><sup id="pwd"></sup></td>

<td  height="40px" valign="top">
         <label id="mini_label">Salary amount:<sup>*</sup></label>  <br><sup id="ss"></sup>  </td>

</tr>    


    <tr ><td colspan="2" id="reg_form_table_cell">

  
        <input type="text" name="jobtitle" id="jobtitle" class="prof_info" value="<?php echo $jobtitle;?>" /><br/>
        
        </td>
        <td id="reg_form_table_cell" >
       
         <input type="text" name="salary" id="salary" class="prof_info" value="<?php echo $salary;?>"/> 
     
         </td>

     
  </tr>



<tr id="">
  <td id="" align="right" id="reg_form_table_cell">
        <input type="submit"  name="submit" value="Submit" id="subownreg"/>
  </td>
  <td id="" colspan="2" align="left" id="reg_form_table_cell">
        <input type="reset" name="reset" value="Reset" id="btn"/>

   </td></tr>

 </table>
 
</form>
</fieldset>
 
</center>

 


<script>
$(document).ready(function(){ 
  
  
$("#new_user_registration").on('submit',function(e){
 
 
jobtitle=document.getElementById('jobtitle').value;

salary=document.getElementById('salary').value;
 

var vN =/[\(A-Za-z)]/g; 
var nV =/[a-z\s]/i;
var j=0,k=0, g=0,i=0;


 if(jobtitle==""){
  e.preventDefault();

document.getElementById('pwd').innerHTML="Job title is required!..";

 }
 else{

      for(i=0;i<jobtitle.length;i++)
       {
         if(!jobtitle[i].match(nV))
          {
             j++;

           }
        }
      
       if(j>0){
       e.preventDefault();
   
        document.getElementById('pwd').innerHTML="Job title typed with error!.."; 
              }
         else{
 
        document.getElementById('pwd').innerHTML="";

              }
   }
 
    j=0, i=0;


     var phn =/[0-9]/g;
//oooooooooo

if(salary==""){
 e.preventDefault();
document.getElementById('ss').innerHTML="Salary is required valid one!..";
 

              }
 else{

      for(i=0;i<salary.length;i++)
       {
         if(!salary[i].match(phn))
          {
             j++;

           }
        }
      
       if(j>0){
       e.preventDefault();
   
        document.getElementById('ss').innerHTML="Salary is typed with error!..";  
              }
         else if(salary.indexOf(0)==0)
         {
        e.preventDefault();
        document.getElementById('ss').innerHTML="Valid salary number must start with greater than 0 digits.."; 
              

         }

          else
         {

        document.getElementById('ss').innerHTML="";

        }
   }
 
    j=0, i=0;


     ////////////mmm
   

  


    
  
}
);
}
);  
    
</script>

 